<!DOCTYPE html>
<meta charset="utf-8">
<title>Zoom + Pan</title>
<style>

svg {
  font: 10px sans-serif;
}

.overlay {
  fill: none;
  pointer-events: all;
}

.axis path,
.axis line {
  fill: none;
  stroke: #000;
  shape-rendering: crispEdges;
}
.circle {
    fill: red;
}
</style>
<body>
	<div id="head">
		<p>Text embeddings 2D navigator [you can zoon, & pan the scatterplot]</p>
	</div>
<script src="//d3js.org/d3.v3.min.js"></script>
<script>

var width = 960,
    height = 500;

var randomX = d3.random.normal(-1, 1),
    randomY = d3.random.normal(-1, 1);

var dataX = d3.range(200).map(function() {
  return [
    randomX(),
    randomY()
];
});
var data = d3.csv("data/pca2-medline-with-abs-w16-s160-mc5-tensor.txt", function(d) {
//var data = d3.csv("data/pca-xy.txt", function(d) {
	return [
		d.t,
	    parseFloat(d.x),
	    parseFloat(d.y)
	];
}, function(data) {
	console.log(data.length);
	console.log(data[2]);

	// load list of terms:
	// for mc5:
	var terms_list = d3.tsv("data/terms_list-mc5.tsv",function(error,data)
	{
	  if(error)
	    return console.error(error);
	  d3.select("body")
	    .append("p")
	    .text(function(data) {
			return [
				data[0]
			];
		});
	}, function(terms_list) {

	var x = d3.scale.linear()
	    .domain([-1, 1])
	    .range([0, width]);

	var y = d3.scale.linear()
	    .domain([-1, 1])
	    .range([height, 0]);

	var svg = d3.select("body").append("svg")
	    .attr("width", width)
	    .attr("height", height)
	  .append("g")
	    .call(d3.behavior.zoom().x(x).y(y).scaleExtent([-5, 20]).on("zoom", zoom));

	svg.append("rect")
	    .attr("class", "overlay")
	    .attr("width", width)
	    .attr("height", height);
/*
	var circle = svg.selectAll("circle")
	    .data(data)
	  .enter().append("circle")
	    .attr("r", 0)
		.attr("fill", "grey")
	    .attr("transform", transform);
*/


		var c = 0;
		var circle = svg.selectAll("text")
	        .data(data, terms_list)
	        .enter()
	        .append("text")
				.attr("x", function(data) { return data.x; })
			    .attr("y", function(data) { return data.y; })
			    .text( function(terms_list) {
					c = c + 1;
					console.log("c = "+c);
					return "term: "+terms_list+" | "+c;
				})
			    .attr("font-family", "sans-serif")
			    .attr("font-size", "8px")
			    .attr("fill", "red")
				.attr("transform", transform);

		function zoom() {
		  circle.attr("transform", transform);
		}

		function transform(d) {
		  return "translate(" + x(d[1]) + "," + y(d[2]) + ")";
		}
	});
});

</script>
